=== archetypeeditor/CMakeLists.txt ===
IF(ENABLE_TOOLS AND QT4_FOUND)
	INCLUDE_DIRECTORIES(${QT_INCLUDES})
	ADD_DEFINITIONS(${QT_DEFINITIONS})

	FILE(GLOB FDAE_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)
	FILE(GLOB FDAE_HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
	FILE(GLOB FDAE_INTERFACES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.ui)
	FILE(GLOB FDAE_RESOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qrc)
	LIST(REMOVE_ITEM FDAE_HEADERS "singlelinenode.h")
	QT4_WRAP_CPP(FDAE_MOC_SOURCES ${FDAE_HEADERS})
	QT4_WRAP_UI(FDAE_UI_SOURCES ${FDAE_INTERFACES})
	QT4_ADD_RESOURCES(FDAE_QRC_SOURCES ${FDAE_RESOURCES})

	IF(CMAKE_BUILD_TYPE MATCHES "Release" OR CMAKE_BUILD_TYPE MATCHES "MinSizeRel")
		ADD_DEFINITIONS(-DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT)
	ENDIF(CMAKE_BUILD_TYPE MATCHES "Release" OR CMAKE_BUILD_TYPE MATCHES "MinSizeRel")

	ADD_EXECUTABLE(archetypeeditor WIN32 ${FDAE_SOURCES} ${FDAE_MOC_SOURCES} ${FDAE_UI_SOURCES} ${FDAE_QRC_SOURCES})
	TARGET_LINK_LIBRARIES(archetypeeditor ${QT_LIBRARIES})
	IF(WIN32)
		SET_TARGET_PROPERTIES(archetypeeditor PROPERTIES LINK_FLAGS "../win32/archetypeeditor.coff")
		ADD_DEPENDENCIES(archetypeeditor resources)
	ENDIF(WIN32)
	
	INSTALL(TARGETS archetypeeditor DESTINATION ${BINDIR})
ENDIF(ENABLE_TOOLS AND QT4_FOUND)
