=== croppy/CMakeLists.txt ===
IF(ENABLE_TOOLS AND NOT WIN32)
	INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR} ${INCLUDE_DIRS})
	FILE(GLOB CROPPY_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c)
	ADD_EXECUTABLE(croppy ${CROPPY_SOURCES})
	TARGET_LINK_LIBRARIES(croppy ${LINK_LIBRARIES})
	INSTALL(TARGETS croppy DESTINATION ${BINDIR})
ENDIF(ENABLE_TOOLS AND NOT WIN32)
