=== po/CMakeLists.txt ===
IF(ENABLE_NLS)
	SET(MO_FILES)
	FILE(GLOB LANGUAGES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} [a-z][a-z][_-]*)
	FOREACH(LANG ${LANGUAGES})
		FILE(GLOB_RECURSE PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${LANG}/*.po)
		FOREACH(PO_FILE ${PO_FILES})
			GET_FILENAME_COMPONENT(DIR ${PO_FILE} PATH)
			GET_FILENAME_COMPONENT(MO_FILE ${PO_FILE} NAME_WE)
			SET(MO_FILE ${DIR}/${MO_FILE}.mo)
			ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${MO_FILE}
                            COMMAND ${CMAKE_COMMAND} -D DIR=${CMAKE_CURRENT_BINARY_DIR}/${DIR} -P ${CMAKE_MODULE_PATH}/mkdir.cmake
							COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${CMAKE_CURRENT_BINARY_DIR}/${MO_FILE}
																	${CMAKE_CURRENT_SOURCE_DIR}/${PO_FILE}
							DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${PO_FILE}
							)
			LIST(APPEND MO_FILES ${CMAKE_CURRENT_BINARY_DIR}/${MO_FILE})
			INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MO_FILE} DESTINATION ${DATADIR}/locale/${DIR})
		ENDFOREACH(PO_FILE ${PO_FILES})
	ENDFOREACH(LANG ${LANGUAGES})
	ADD_CUSTOM_TARGET(translations ALL DEPENDS ${MO_FILES})
ENDIF(ENABLE_NLS)
