=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR} ${INCLUDE_DIRS})
FILE(GLOB FDRPG_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c)
ADD_CUSTOM_COMMAND(
       OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/savestruct.c ${CMAKE_CURRENT_SOURCE_DIR}/savestruct.h
       COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/gen_savestruct.py ${CMAKE_CURRENT_SOURCE_DIR}/struct.h ${CMAKE_CURRENT_SOURCE_DIR}/savestruct
       DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/struct.h
       )
ADD_EXECUTABLE(freedroidRPG WIN32 ${FDRPG_SOURCES} savestruct.c savestruct.h)
TARGET_LINK_LIBRARIES(freedroidRPG ${LINK_LIBRARIES})
IF(WIN32)
	SET_TARGET_PROPERTIES(freedroidRPG PROPERTIES LINK_FLAGS "../win32/freedroidrpg.coff")
	ADD_DEPENDENCIES(freedroidRPG resources)
ENDIF(WIN32)
INSTALL(TARGETS freedroidRPG DESTINATION ${BINDIR})
