=== debian/control ===
Source: freedroidrpg
Section: games
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-mixer1.2-dev, libsdl-gfx1.2-dev, libvorbis-dev, libjpeg-dev, libz-dev, libpng-dev
Standards-Version: 3.9.3
Homepage: http://freedroid.sourceforge.net/

Package: freedroidrpg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freedroidrpg-data (= ${source:Version})
Description: Isometric RPG influenced by Paradroid
 Freedroid RPG is an RPG with isometric graphics. In it, the player
 is Tux, who must fight rebelling robots in order to restore peace to 
 humankind. To do so,Tux may take over robots in a minigame based off the 
 classic game Paradroid, or may simply blast them to pieces with a weapon.
 .
 Note that this is not the same game as Freedroid, also available in Debian.

Package: freedroidrpg-data
Architecture: all
Depends: ${misc:Depends}
Description: Data files for freedroidrpg
 Freedroid RPG is an RPG with isometric graphics. In it, the player
 is Tux, who must fight rebelling robots in order to restore peace to 
 humankind. To do so,Tux may take over robots in a minigame based off the 
 classic game Paradroid, or may simply blast them to pieces with a weapon.
 .
 Note that this is not the same game as Freedroid, also available in Debian.
