## freedroidrpg 0.16.1

=== debian/changelog ===
freedroidrpg (0.16.1-3) unstable; urgency=medium

  * Bump standards-version to 4.1.1.
  * Bump d/watch to version 4.
  * Add patch to update the appstream files.
  * Switch d/watch to use gitlab.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 18 Oct 2017 13:20:09 +0200

freedroidrpg (0.16.1-2) unstable; urgency=medium

  * Added a breaks+replace on because the manpage moved off the -data
  package (Closes: #846783).
  * Declared -data as Multi-Arch: foreign following hint.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 04 Dec 2016 13:19:18 +0100

freedroidrpg (0.16.1-1) unstable; urgency=medium

  * Updated d/watch to the new upstream.
  * Updated to new upstream release. (Closes: #799743)
    + The editor is now part of the game. (Closes: #460677)
    + Upstream fixed clang building. (Closes: #758161)
  * Added myself as uploader. (Closes: #826921)
  * Put Debian Games Team as maintainer.
  * Updated standards-version to 3.9.8.
  * Added Vcs-* fields.
  * Updated dh compat to 10.
  * Updated the following Debian patches:
    + 17_debianize.diff
    + 20_enter_keys.diff
    + 27_debug.diff.
  * Added new Debian patches:
    + 01_no_headless_check.diff.
    + 02_accept_mawk.diff.
    + 03_fix_desktop_file.diff.
    + 04_add_keywords_to_desktop_file.diff.
    + 05_fix_manpage.diff.
  * Rewrote debian/copyright, following copyright-format 1.0.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 11 Nov 2016 14:15:08 +0100
