=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games

override_dh_auto_install:
	dh_auto_install
	# this script is for dialogs writers, not users
	rm -f debian/tmp/usr/share/freedroidrpg/dialogs/adapt_to_FDtux
