=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/;" \
https://gitlab.com/freedroid/freedroid-src/tags?sort=updated_desc .*/([\d.]+)/archive.tar.gz
